Description

Adding support for the HDPI screens that are coming (and also here already) would be a good thing for redmine (at least in the

interface).

Currently the app looks good generally, but some parts like the icones are fuzzy and become distractive on HDPI screens.

There is a choice concerning the method of implementation:

- Make all graphics hdpi and force their size of each image on the page.

- Use the JQuery plugin http://troymcilvena.com/post/998277515/jquery-retina

- Use a custom solution...

Related issues:

Related to Redmine - Feature #24927: Render high resolution Gravatars and Thu... Closed

Related to Redmine - Feature #24922: Support high resolution images in format... Closed

Related to Redmine - Feature #23980: Replace icon images with Tabler SVG icons Closed

History

#1 - 2012-12-18 13:05 - Slawomir CALUCH

I would like to help with the move to hdpi.

I can help with the implementation I will simply need the graphic assets in hdpi.

Can someone help me locate suitable assets?

Where do the original assets come from?

#2 - 2012-12-22 05:08 - Slawomir CALUCH

After reading some material about HDPI for web applications I came to the following conclusion: javascript might not be the most efficient way of

loading hdpi.

The best way seems to be : send everything in x2 versions to everybody.

While using javascript would allow HDPI support without any ruby code modification this would lead to double download of images. This approach

leads to a lot of changes on the client side during rendering. Maybe it's the best solution while there are relatively few HDPI devices out there, but in

the end - I believe - support for higher resolution images should be handled with a cookie and on the server side.

So I started tinkering with the code. Currently when I call image_tag there is no way to get the real size of the image without reading each image. Is

there a way to store these values in a cache after the first read?

I intend to also collect data about image versions (cancel.png, cancel-1.5x.png, cancel-2x.png ...). Should I store that in a cache to avoid nailing the

disk on every request?

I might create a second function hdpi_image_tag to allow enabling/disabling the option and leave image_tag to its current purpose.

Would this be the right approach?

#3 - 2012-12-23 10:52 - Slawomir CALUCH

Should I go with the ruby changes or should I try the javascript approach first?

#4 - 2016-01-25 12:45 - Markus Pins

+1 Time has come, I guess. ;-)
#5 - 2017-01-26 14:35 - Go MAEDA

- Related to Feature #24927: Render high resolution Gravatars and Thumbnails added

#6 - 2017-01-26 14:35 - Go MAEDA

- Related to Feature #24922: Support high resolution images in formatted content added

#7 - 2017-01-28 11:31 - Go MAEDA

- Related to Feature #23980: Replace icon images with Tabler SVG icons added

#8 - 2024-11-17 06:34 - Go MAEDA

- Status changed from New to Closed

Redmine has gradually improved support for high-resolution displays thgourh various enhancements, including the efforts in #24927 and #24922.

With the release of Redmine 6.0.0 this month, which replaced icons with vector graphics, I believe the adaptation for high-resolution displays is now

complete.

While there may still be areas requiring adjustments, I am closing this issue.
